#
# spec file for package ipmitool (Version 1.8.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ipmitool
BuildRequires:  openssl-devel readline-devel
URL:            http://ipmitool.sourceforge.net/
Summary:        Utility for IPMI Control
Version:        1.8.6
Release:        13.4.DELL.13
License:        BSD
Group:          System/Management
Source:         ipmitool-%{version}.tar.bz2
Patch:          ipmitool-%{version}.dif
Patch1:         ipmi_pef.diff
Patch10:        ipmitool-dell-baseline-common.patch
Patch11:        ipmitool-dell-baseline-sles10fixes.patch
Patch12:        ipmitool-dell-baseline-sles10autoconf.patch
Patch13:        ipmitool-dell-baseline-unstatic-fru.patch
Patch14:	ipmitool-dell-sles10manpages.patch
Patch15:	ipmitool-dell9.patch
Patch16:        ipmitool-dell10.patch
Patch17:	ipmitool-dell11.patch
Patch18:        ipmitool-dell12.patch
Patch19:        ipmitool-dell13.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a utility for interfacing with devices that
support the Intelligent Platform Management Interface specification. 
IPMI is an open standard for machine health, inventory, and remote
power control.

This utility can communicate with IPMI-enabled devices through either a
kernel driver such as OpenIPMI or over the RMCP LAN protocol defined in
the IPMI specification.  IPMIv2 adds support for encrypted LAN
communications and remote Serial-over-LAN functionality.

It provides commands for reading the Sensor Data Repository (SDR) and
displaying sensor values, displaying the contents of the System Event
Log (SEL), printing Field Replaceable Unit (FRU) information, reading
and setting LAN configuration, and chassis power control.


# the following line is causing a problem building the SRPM on F7, so
# we are commenting it out for now
# % debug_package
%prep
%setup
%patch
%patch1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/ipmitool

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/ipmitool
%{_datadir}/ipmitool/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*

%changelog -n ipmitool
* Mon May 29 2006 - kukuk@suse.de
- Fix type conversion bug in ipmi_pef.c [#173658]
* Fri May 26 2006 - schwab@suse.de
- Add readline-devel to BuildRequires to enable shell command.
- Fix use of channel_info bitfield.
- Fix byte swapping.
* Mon Feb 13 2006 - kukuk@suse.de
- Update to ipmitool 1.8.6 [#134708,#131823]
- Fix memory corruption when sending encrypted SOL traffic
- Add keepalive timer to IPMIv2 SOL sessions
- Raise privilege level after creating IPMIv2 session
- Add support for settable SOL escape character with -e option
- Add support for Kg BMC key for IPMIv2 authentication with -k option
- Add support for Tyan IPMIv1.5 SOL with tsol command
- Add support for PICMG devices
- Add support for OEM SEL event parsing
- Add support for command bridging over lan and lanplus interfaces
- New 'chassis selftest' command
- Many bufxies and patches from contributors
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Sep 19 2005 - kukuk@suse.de
- Fix missing return value
* Thu Aug 04 2005 - kukuk@suse.de
- Initial release (FeatureID #165)
